Loading...
Searching...
No Matches
dolfin::BoundaryComputation Class Reference

Provide a set of basic algorithms for the computation of boundaries. More...

`#include <BoundaryComputation.h>`

## Static Public Member Functions

static void | compute_boundary (const Mesh &mesh, const std::string type, BoundaryMesh &boundary)

## Detailed Description

Provide a set of basic algorithms for the computation of boundaries.

## Member Function Documentation

## compute_boundary()

void BoundaryComputation::compute_boundary | ( | const Mesh & | mesh,
|  | const std::string | type,
|  | BoundaryMesh & | boundary )

static

Compute the exterior boundary of a given mesh

Parameters

  [in] | mesh | input mesh
  [in] | type | "internal" or "external"
  [out] | boundary | output boundary mesh

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/BoundaryComputation.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/BoundaryComputation.cpp